# Calendar event get

An action block that retrieves calendar event details.

The fiber will proceed immediately without pause.

Use the Calendar event query block to find the event URI of an event.

## Input arguments

- Event URI — URI of the event to retrieve.

## Output variables

- Calendar URI — variable to assign the URI of the calendar the event belongs to.
- Begin timestamp — variable to assign the unix timestamp when the event begins.
- End timestamp — variable to assign the unix timestamp when the event ends.
- All day — variable to assign 1 if it’s an “all day” event, 0 if it’s not.
- TimeZone — variable to assign the time zone of the event.
- Title — variable to assign the event title.
- Description — variable to assign the event description.
- Location name — variable to assign the event location.
- Attendees — variable to assign an array of email addresses of the attendees.
- Color — variable to assign the event color.
- Availability — variable to assign your availability during the event.
- Privacy — variable to assign privacy of the event.